public static interface DdbEndpointBuilderFactory.DdbBuilders
| Modifier and Type | Method and Description |
|---|---|
default DdbEndpointBuilderFactory.DdbEndpointBuilder |
awsDdb(String path)
AWS DynamoDB (camel-aws-ddb)
Store and retrieve data from AWS DynamoDB service.
|
default DdbEndpointBuilderFactory.DdbEndpointBuilder |
awsDdb(String componentName,
String path)
AWS DynamoDB (camel-aws-ddb)
Store and retrieve data from AWS DynamoDB service.
|
default DdbEndpointBuilderFactory.DdbEndpointBuilder awsDdb(String path)
aws-ddb:tableName
Path parameter: tableName (required)
The name of the table currently worked with.path - tableNamedefault DdbEndpointBuilderFactory.DdbEndpointBuilder awsDdb(String componentName, String path)
aws-ddb:tableName
Path parameter: tableName (required)
The name of the table currently worked with.componentName - to use a custom component name for the endpoint
instead of the default namepath - tableNameApache Camel